from cocos.particle import ParticleSystem, Color
from cocos.euclid import Point2

class Vomit(ParticleSystem):

	# total paticles
	total_particles = 400

	# duration
	duration = 0.6

	#robot from top gravity
	gravity = Point2(0, -30)	
	angle = 0

	# angle
	angle_var = 30

	# speed of particles
	speed = 60.0
	speed_var = 50.0

	# radial
	radial_accel = 0
	radial_accel_var = 0

	# tangential
	tangential_accel = 0.0
	tangential_accel_var = 0.0

	# emitter variable position
	pos_var = Point2(0,0)

	# life of particles
	life = 1.4
	life_var = 0.0

	# emits per frame
	emission_rate = 200

	# color of particles
	start_color = Color( 1.0, 1.0, 0.0, 1.0)  
	end_color = Color( 1.0, 1.0, 0.0, 1.0)

	# size, in pixels
	size = 8.0
	size_var = 2.0

	# blend additive
	blend_additive = False

	# color modulate
	color_modulate = True

	def __init__(self, robot_direction = 'right'):
		#if robot is above mutant
		if robot_direction == 'up':
			#robot from top gravity
			self.angle = 90
		elif robot_direction == 'left':
			#robot from left
			self.angle = 180
		elif robot_direction == 'right':
			#robot from right
			self.angle = 0		
		elif robot_direction == 'down':
			#robot from bottom gravity
			self.angle = -90
		else:
			#robot from top gravity
			self.angle = 0
		ParticleSystem.__init__(self)

		